// **********************************************************
//  Page de connexion 'Acces Point' pour définir réseau WIFI
// **********************************************************
const char *ConnectAP_Html = R"====(
<!doctype html>
<html><head><meta charset="UTF-8">
    
    <style>
      body {font-size:150%;text-align:center;width:1000px;margin:auto;background: linear-gradient(#003,#77b5fe,#003);background-attachment:fixed;color:white;padding:4px;}
      #form-passe {display: none;padding:10px;text-align:left;margin:auto;}
      label,input,.dB {display: table-cell;padding:2px;text-align:left;font-size:120%;}
      .l0{display:table-row;margin:auto;background-color:#333;padding:2px;}
      .l1{display:table-row;margin:auto;background-color:#666;padding:2px;}
      #ListeWifi{display:inline-block;margin:auto;}
      #envoyer{padding-top:20px;display:none;}
      #attente2{display:none;}
    </style>
</head>
<body>
<h1>Affichage Routeur Solaire - RMS</h1><h4>Connexion au r&eacute;seau WIFI local</h4>
<div id="ListeWifi"></div><br><br>
<div id="scanReseau">
    <input type='button' onclick="ScanWIFI();" value='Scan réseaux WIFI' >
</div>
<br>
<div id='form-passe'>
  <label for='passe'>Entrez le mot de passe du r&eacute;seau : </label>
  <input type='password' name='passe' id='passe' required>
</div>
<div id="envoyer" >
    <input type='button' onclick="Envoyer();" value='Envoyer' >
</div>
<br>
<div id="attente2">Attendez l'adresse IP attribuée à l'ESP 32</div>
<script>
  var GS=String.fromCharCode(29); //Group Separator
  var RS=String.fromCharCode(30); //Record Separator
  function ScanWIFI(){
    GH("ListeWifi", "Patientez 10s");
    var xhttp = new XMLHttpRequest();
        xhttp.onreadystatechange = function() { 
          if (this.readyState == 4 && this.status == 200) {
             var LesWifi=this.responseText;
             var Wifi=LesWifi.split(GS); 
             var S="Sélectionnez un réseau Wifi";
             for (var i=0;i<Wifi.length-1;i++) {
                var wifi=Wifi[i].split(RS); 
                var j=i%2;
                S +="<div class='l"+ j +"'>";
                S +="<label for='W" + i+"'>" + wifi[0] +" </label>";
                S +="<div class='dB'>" +wifi[1] +" dBm</div> <input type='radio' name='Wifi' value='" +  wifi[0] +"' onclick='ChoixWifi(this.value);'>";
                S +="</div>";
              }
              GID("form-passe").style.display = "table-row";
              GID("envoyer").style.display = "block";
             GH("ListeWifi", S);
          }         
        };
        xhttp.open('GET', 'AP_ScanWifi', true);
        xhttp.send();
        GID("form-passe").style.display = "none";
        GID("envoyer").style.display = "none";
        GID("attente2").style.display = "none";
  }
  function Envoyer(){
    var xhttp = new XMLHttpRequest();
        xhttp.onreadystatechange = function() { 
          if (this.readyState == 4 && this.status == 200) {
             var Resp=this.responseText;
             var Txt=Resp.split(RS); 
             GH("ListeWifi", Txt[1]);
             GID("attente2").style.display = "none";
             if (Txt[0] == "Ok") {
              GID("scanReseau").style.display = "none";      
             }
          }         
        };
        var adr ="/AP_SetWifi?ssid="+clean(ssid)+"&passe=" + clean(GID("passe").value);
        xhttp.open('GET', adr, true);
        xhttp.send();
        GID("form-passe").style.display = "none";
        GID("envoyer").style.display = "none";
        GID("attente2").style.display = "block";
  }
  ssid="";
  function ChoixWifi(V){
      ssid = V;
  }
  function GID(id) { return document.getElementById(id); };
  function GH(id, T) {
    if ( GID(id)){ GID(id).innerHTML = T; }
  }
  function clean(S){ //Remplace & et ? pour les envois au serveur
    let res=S.replace(/\%/g,"%25");
    res = res.replace(/\&/g, "%26");
    res = res.replace(/\#/g, "%23");
    res = res.replace(/\+/g, "%2B");
    res=res.replace(/amp;/g,"");
    return res.replace(/\?/g,"%3F");
  }
</script>
</body></html>
)====";
