//************************************************
// Page principale HTML et Javascript 
//************************************************
const char *MainHtml = R"====(
 <!doctype html>
  <html><head><meta charset="UTF-8"><style>
    * {box-sizing: border-box;}
    body {background: linear-gradient(#003,#77b5fe,#003);background-attachment:fixed;font-size:150%;text-align:center;width:100%;max-width:1000px;margin:auto;}
    a:link {color:#aaf;text-decoration: none;}
    a:visited {color:#ccf;text-decoration: none;}
    h2{text-align:center;color:white;}
    .ri { text-align: right;}
    .ce { text-align: center;}
    .blue { background-color:#ddf;}
    .Wh { background-color:#ff8;}
    .W { background-color:#f88;}
    .VA { background-color:aqua;}
    .deg { background-color:#fdf;}
    .temper { background-color:#8f8;}
    .foot { color:white;font-size:16px;}
    .pied{display:flex;justify-content:space-between;font-size:14px;color:white;}
    .ligne0 {display: table-row;background-color:#333;color:white;}
    .ligne1 {display: table-row;background-color:#666;color:white;}
    #result{text-align:center;display:table;margin:auto;}
    .col{display: table-cell;padding: 3px;text-align:left;}
    .colr{display: table-cell;padding: 3px;text-align:right;}
    .onglets{margin-top:4px;font-size:130%;}
    .Baccueil,.Bparametres{margin-left:20px;border:outset 4px grey;background-color:#333;border-radius:6px;padding-left:20px;padding-right:20px;display:inline-block;}
    .Baccueil{border:inset 8px azure;}
    .w100{width:100%;position:absolute;top:4px;left:4px;}
    .centrer{text-align:center;}
  </style></head>
  <body onload='LoadData();' >
    <div class='onglets'><div class='Baccueil'><a href='/'>Accueil</a></div><div class='Bparametres'><a href='/Para'>Param&egrave;tres</a></div></div>
    <h2 id='nom_R'>Affichage Routeur Solaire - DISP</h2>
    <div id='result'></div>
    
    <br><br>
    <div class='pied'><div></div><div><a href='https:F1ATB.fr' >F1ATB.fr</a></div></div>
    <script >
      var GS=String.fromCharCode(29); //Group Separator
      var RS=String.fromCharCode(30); //Record Separator
      var titre=["Heure","Source", "Code Tarif", "Status","Temperature","Puissance apparente valide","Puissance Active Soutirée","Puissance Active Injectée",
        "Puissance Apparente Soutirée","Puissance APPARENTE Injectée","Energie du jour Soutirée","Energie du jour Injectée",
        "Energie Soutirée","Energie Injectée","Puissance Active (2) Soutirée","Puissance Active (2) Injectée",
        "Puissance Apparente (2) Soutirée","Puissance Apparente (2) Injectée","Energie (2) du jour Soutirée","Energie (2) du jour Injectée",
        "Energie (2) Soutirée","Energie (2) Injectée"];
      var unite=["","", "", "","°C","","W","W",
        "VA","VA","Wh","Wh",
        "Wh","Wh","W","W",
        "VA","VA","Wh","Wh",
        "Wh","Wh"];

      function LoadData() {
          var xhttp = new XMLHttpRequest();
          xhttp.onreadystatechange = function() { 
            if (this.readyState == 4 && this.status == 200) {
                var DuRMS=this.responseText;
                var data_=DuRMS.split(RS);
                var S="";
                var L=data_.length-1;
                for (var i=0;i<L;i++){
                    var j=i%2;
                    S +="<div class='ligne" +j+"'><div class='col'>"+titre[i]+"</div><div  class='colr'>"+data_[i]+"</div><div  class='col'>"+unite[i]+"</div></div>";
                }
                GH("result",S);
                setTimeout('LoadData();',2000);
            }
            
          };
          xhttp.open('GET', 'ajax_data', true);
          xhttp.send();
        }
      function GID(id) { return document.getElementById(id); };
      function GH(id, T) {
        if ( GID(id)){ GID(id).innerHTML = T; }
      }
    </script>
    <br></body></html>
)====";

